package com.ecep.contract.controller.project;

import com.ecep.contract.controller.tab.AbstEntityBasedTabSkin;
import com.ecep.contract.controller.tab.TabSkin;
import com.ecep.contract.service.ProjectService;
import com.ecep.contract.vm.ProjectViewModel;
import com.ecep.contract.vo.ProjectVo;

public abstract class AbstProjectBasedTabSkin
        extends AbstEntityBasedTabSkin<ProjectWindowController, ProjectVo, ProjectViewModel>
        implements TabSkin {

    public AbstProjectBasedTabSkin(ProjectWindowController controller) {
        super(controller);
        viewModel = controller.getViewModel();
    }

    public ProjectService getProjectService() {
        return controller.projectService;
    }
}
